Bug 1920390 - Monitoring > Metrics graph shifts to the left when clicking the "Stacked" option and when toggling data series lines on / off
Summary: Monitoring > Metrics graph shifts to the left when clicking the "Stacked" opt...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.7.0
Assignee: Andrew Pickering
QA Contact: hongyan li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-26 08:48 UTC by Andrew Pickering
Modified: 2021-02-24 15:56 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:56:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7977 0 None closed Bug 1920390: Query Browser: Fix X-axis being updated when no new data fetched 2021-02-21 07:55:09 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:56:27 UTC

Description Andrew Pickering 2021-01-26 08:48:06 UTC
When clicking the "Stacked" checkbox or the data series toggle buttons, the graph's x-axis is updated so that the right edge corresponds to the current time, but no new data is fetched, so a blank space can result at the right side of the graph.

This is only obvious when the auto refresh option is disabled.

Comment 3 hongyan li 2021-02-01 03:58:19 UTC
Test with payload 4.7.0-0.nightly-2021-01-31-031653 and chrome

When clicking the "Stacked" checkbox, the issue is gone

When click button 'Hide all Series', then click 'Show all Series', lastly click "Stacked" checkbox, the page will crash. Filed a new bug
https://bugzilla.redhat.com/show_bug.cgi?id=1922911

Comment 7 errata-xmlrpc 2021-02-24 15:56:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.